View Issue Details

IDProjectCategoryView StatusLast Update
0002674Far ManagerPlugins API.Panelpublic2014-06-04 21:11
ReporterCavalerAssigned Toshmuel 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002674: Возврат хэндла панели при работе из макроса
DescriptionСейчас из функции OpenW() при типе OPEN_FROMMACRO невозможно вернуть хэндл новой панели. А надо бы.
TagsNo tags attached.
Build3938

Activities

shmuel

2014-05-28 14:18

developer   bugnote:0012440

3925.
Документация по 'OpenW' и 'FarMacroValue' обновлена.

Cavaler

2014-06-04 13:13

reporter   bugnote:0012456

Попробовал в билде 3937 - не работает.

Дошел в отладке до вот такого места:

void FileList::Update(int Mode)
{
...
    OpenPanelInfo Info;
    Global->CtrlObject->Plugins->GetOpenPanelInfo(hPlugin,&Info);
    ProcessPluginCommand();
}

И вот эта ProcessPluginCommand() пытается отработать неизвестно откуда взявшуюся FCTL_CLOSEPANEL.
Плюс еще в процессе ее обработки пытается перейти по неинициализированному пути strPluginParam.

shmuel

2014-06-04 14:56

developer   bugnote:0012457

3938.

Cavaler

2014-06-04 18:02

reporter   bugnote:0012461

Работает

Issue History

Date Modified Username Field Change
2014-05-14 10:56 Cavaler New Issue
2014-05-28 14:18 shmuel Note Added: 0012440
2014-05-28 14:18 shmuel Assigned To => shmuel
2014-05-28 14:18 shmuel Status new => feedback
2014-06-04 13:13 Cavaler Note Added: 0012456
2014-06-04 13:13 Cavaler Status feedback => assigned
2014-06-04 14:56 shmuel Note Added: 0012457
2014-06-04 14:56 shmuel Status assigned => feedback
2014-06-04 18:02 Cavaler Note Added: 0012461
2014-06-04 18:02 Cavaler Status feedback => assigned
2014-06-04 21:11 shmuel Build => 3938
2014-06-04 21:11 shmuel Status assigned => closed
2014-06-04 21:11 shmuel Resolution open => fixed
2014-06-04 21:11 shmuel Fixed in Version => 3.0